Ext.define("IceCap2.ux.form.field.AdvancedComboBox", {

	xtype: "DDLIB",
	extend: "Ext.form.field.ComboBox",

	alias: "",
	minChars : 3  // character needed to start server search,
	maxLength : 10,
	displayField:'key',
	forceSelection: false,
	valueField:'key',
	typeAhead: false,
	pageSize: 10,
	hideTrigger:true,
	fieldClass: 'x-form-field',
	triggerField:true,
	itemSelector: 'div.x-form-field',

	initComponent: function() {

		var i_self = this;
		i_self.tpl = i_self.createTemplate();

		i_self.callParent();
	},

	createTemplate: function() {

		var i_template =  new Ext.XTemplate(
			'<tpl for=".">',
				'<div class="x-form-field">',
					'<b>{key} - </b> {value}',
				'</div>',
			'</tpl>'
		);

		return i_template;
	}
});
